Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class Mem

    java.lang.Object
      org.hyperic.sigar.Mem

All Implemented Interfaces:
  java.io.Serializable

public class Mem
extends java.lang.Object
implements java.io.Serializable

Mem sigar class.

See Also:
  Serialized Form

Constructor Summary
`Mem()`

Method Summary
`void` | `gather(Sigar sigar)`
`long` | `getActualFree()` Get the Actual total free system memory.
`long` | `getActualUsed()` Get the Actual total used system memory (e.g.
`long` | `getFree()` Get the Total free system memory (e.g.
`long` | `getRam()` Get the System Random Access Memory (in MB).
`long` | `getTotal()` Get the Total system memory.
`long` | `getUsed()` Get the Total used system memory.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Mem

    public Mem()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getTotal

    public long getTotal()

  Get the Total system memory.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `lsattr -El sys0 -a realmem`
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `free`
  - Solaris: ``
  - Win32: `taskman`

  Returns:
    Total system memory

### getRam

    public long getRam()

  Get the System Random Access Memory (in MB).

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `lsattr -El sys0 -a realmem`
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `cat /proc/mtrr | head -1`
  - Solaris: ``
  - Win32: ``

  Returns:
    System Random Access Memory (in MB)

### getUsed

    public long getUsed()

  Get the Total used system memory.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `free`
  - Solaris: ``
  - Win32: `taskman`

  Returns:
    Total used system memory

### getFree

    public long getFree()

  Get the Total free system memory (e.g. Linux plus cached).

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `free`
  - Solaris: ``
  - Win32: `taskman`

  Returns:
    Total free system memory (e.g. Linux plus cached)

### getActualUsed

    public long getActualUsed()

  Get the Actual total used system memory (e.g. Linux minus buffers).

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `free`
  - Solaris: ``
  - Win32: `taskman`

  Returns:
    Actual total used system memory (e.g. Linux minus buffers)

### getActualFree

    public long getActualFree()

  Get the Actual total free system memory.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `free`
  - Solaris: ``
  - Win32: `taskman`

  Returns:
    Actual total free system memory

### toString

    public java.lang.String toString()

### toMap

    public java.util.Map toMap()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Hyperic. All Rights Reserved.